dpkg-0.0.3: libdpkg bindings

Safe Haskell | Safe-Inferred

Debian.Dpkg.Enums

# Documentation

data PkgWant Source

Constructors

Want_unknown |
Want_install |
Want_hold |
Want_deinstall |
Want_purge |
Want_sentinel |

Instances

Enum PkgWant |
Eq PkgWant |
Show PkgWant |

data PkgEflag Source

Constructors

Eflag_ok |
Eflag_reinstreq |

Instances

Enum PkgEflag |
Eq PkgEflag |
Show PkgEflag |

data PkgStatus Source

Constructors

Stat_notinstalled |
Stat_configfiles |
Stat_halfinstalled |
Stat_unpacked |
Stat_halfconfigured |
Stat_triggersawaited |
Stat_triggerspending |
Stat_installed |

Instances

Enum PkgStatus |
Eq PkgStatus |
Show PkgStatus |

data PkgPriority Source

Constructors

Pri_required |
Pri_important |
Pri_standard |
Pri_optional |
Pri_extra |
Pri_other |
Pri_unknown |
Pri_unset |

Instances

Enum PkgPriority |
Eq PkgPriority |
Show PkgPriority |